# Interface TreeMapToolTip<N,Row,Column,Color,Font>

Type Parameters:
  `N` -

All Known Implementing Classes:
  `AbstractTreeMapToolTip, AbstractTreePlotToolTip, DefaultTreeMapToolTip, DefaultTreePlotToolTip, SwingTreeMapToolTip, SwingTreePlotToolTip`

@JsType public interface TreeMapToolTip<N,Row,Column,Color,Font>
This abstract class defines the method required to display tooltips in a TreeMapView.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `TreeMapToolTip.ToolTipType`
  Tooltip type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getHeight()`
  `N`
  `getNode()`
  Gets the current node that the tooltip should display information about.
  `com.macrofocus.geom.Point`
  `getPopupLocation()`
  `com.macrofocus.geom.Point`
  `getPreferredLocation()`
  Gets the preferred location of the tooltip relative to the TreeMapView.
  `Dimension`
  `getPreferredSize(TGraphics<Color,Font> g)`
  `int`
  `getPreferredWidth()`
  Gets the preferred width of the tooltip.
  `TreeMapToolTip.ToolTipType`
  `getType()`
  Gets the type of tooltip.
  `int`
  `getWidth()`
  `void`
  `paintBackground(TGraphics<Color,Font> g)`
  Paints the background of the tooltip.
  `void`
  `paintText(TGraphics<Color,Font> g)`
  Paints the values and the labels of the tooltip.
  `void`
  `setNode(N node)`
  Sets the current node that the tooltip should display information about.
  `void`
  `setPreferredWidth(int width)`
  Sets the preferred width of the tooltip.
  `void`
  `setSize(Dimension d)`
  `void`
  `setType(TreeMapToolTip.ToolTipType type)`
  Sets the type of the tooltip.
  `void`
  `showNode(N node)`
  Shows the current node that the tooltip should display information about.

- ## Method Details

  - ### getPreferredSize

    Dimension getPreferredSize(TGraphics<Color,Font> g)

  - ### setSize

    void setSize(Dimension d)

  - ### getWidth

    int getWidth()

  - ### getHeight

    int getHeight()

  - ### getPopupLocation

    com.macrofocus.geom.Point getPopupLocation()

  - ### getPreferredLocation

    com.macrofocus.geom.Point getPreferredLocation()
    Gets the preferred location of the tooltip relative to the TreeMapView.
    Returns:
      the preferred location

  - ### getType

    TreeMapToolTip.ToolTipType getType()
    Gets the type of tooltip.
    Returns:
      the type of the tooltip.

  - ### setType

    void setType(TreeMapToolTip.ToolTipType type)
    Sets the type of the tooltip.
    Parameters:
      `type` - the tooltip type.

  - ### getNode

    N getNode()
    Gets the current node that the tooltip should display information about.
    Returns:
      the current node.

  - ### setNode

    void setNode(N node)
    Sets the current node that the tooltip should display information about.
    Parameters:
      `node` - the node to dislay information about.

  - ### showNode

    void showNode(N node)
    Shows the current node that the tooltip should display information about.
    Parameters:
      `node` - the node to dislay information about.

  - ### getPreferredWidth

    int getPreferredWidth()
    Gets the preferred width of the tooltip.
    Returns:
      the preferred width.

  - ### setPreferredWidth

    void setPreferredWidth(int width)
    Sets the preferred width of the tooltip.
    Parameters:
      `width` - the preferred width.

  - ### paintBackground

    void paintBackground(TGraphics<Color,Font> g)
    Paints the background of the tooltip.
    Parameters:
      `g` - a Graphis2D object.

  - ### paintText

    void paintText(TGraphics<Color,Font> g)
    Paints the values and the labels of the tooltip.
    Parameters:
      `g` - a Graphics2D object.